petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDrawAxisSetLimits

Sets the limits (in user coords) of the axis

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawAxisSetLimits(PetscDrawAxis axis,PetscReal xmin,PetscReal xmax,PetscReal ymin,PetscReal ymax)

Logically Collective on PetscDrawAxis

### Input Parameters

| axis | - the axis
| xmin,xmax | - limits in x
| ymin,ymax | - limits in y

### Options Database

-drawaxis_hold -hold the initial set of axis limits for future plotting

### See Also

PetscDrawAxisSetHoldLimits(), PetscDrawAxisGetLimits(), PetscDrawAxisSetLabels(), PetscDrawAxisSetColors()

### Level

advanced

### Location

src/sys/classes/draw/utils/axisc.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages